/***********************************************
************************************************
**                                            **
** mamot                                      **
** a program for HMM modelling                **
** 2008, Mauro C. Delorenzi                   **
**                                            **
************************************************
************************************************/
#define	kLength     300000 
#define	kMaxSeqLen	300000  // must be <= kLength
#define	kMaxVitSeqLen	300000  // must be <= kLength
#define	kMaxExtPLen	20000  //  <= kMaxSeq <= LenkLength
#define	kMaxSeqName  300	 
#define	kAtoOne      64	 
#define	kMinProb      0  // connections with lower trans prob are ignored 
#define	kdefCutoff   0    
#define	kperiodStdout1  10  
#define	kperiodStdout2  200  
#define	kperiodStdout3  1000  
#define	kParsingthreshold1  0.02  
#define	kParsingthreshold2  0.10  
#define	kParsingthreshold3  0.50  
#define	kParsingthreshold4  0.90  
#define	kParsingthreshold5  0.99  

#define	kMAXnbITERATIONS 100 //default maximum for stopping BW or Vit learning
#define	kMINnbITERATIONS 2 //default minimum for stopping BW or Vit learning

#define	kExpCorr	100 // for factor factor = exp(expcorr); renormalization in FB & BW
#define	kScalePeriod 1 // for frequency  of renormalization in FB & BW (older default: 30)
#define	kEpsilon 0.0001 // for precison check in FB 

#define	kMaxNameLen     25 
#define	kMaxLineLen	1000 
#define	kMaxNbLetters	60   
#define	kMaxNbStates	1000 
#define	kMINdifftotLogLik 0.0001
#define	kMINProbPrint 0

#define	kpseudoTrans 0
#define	ktol1 0.999
#define	ktol2 1.001

#define	kLineLenRndSeqs 50
#define	kmaxCodes 255

//for random ran2
#define	IM1 2147483563
#define	IM2 2147483399
#define	AM (1.0/IM1)
#define	IMM1 IM1-1
#define	IA1 40014
#define	IA2 40692
#define	IQ1 53668
#define	IQ2 52774
#define	IR1 12211
#define	IR2 3791
#define	NTAB 32
#define	NDIV (1+IMM1/NTAB)
#define	EPS 1.2e-7
#define	RNMX (1.0-EPS)

/*
//for random ran1
#define	IA 16807
#define	IM 2147483647
#define	AM (1.0/IM)
#define	IQ 127773
#define	IR 2836
#define	NTAB 32
#define	NDIV (1+(IM-1)/NTAB)
#define	EPS 1.2e-7
#define	RNMX (1.0-EPS)
*/

