/***********************************************
************************************************
**                                            **
** mamot                                      **
** a program for HMM modelling                **
** 2008, Mauro C. Delorenzi                   **
**                                            **
************************************************
************************************************

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "write.files.h"

extern int Decode[];
extern bool verbose;
extern FILE  *cFpWriteCP;  

// ---------------------------------------------------------------------------
//		 WriteWarning 					
// ---------------------------------------------------------------------------
void  WriteWarning ( int seqNb,  int  n)
{
cerr << "\n SEQUENCE NB " << seqNb << " IS LONGER THAN " << kMaxSeqLen << ", WAS TRUNCATED" << endl; 
if (verbose)  cerr  <<  "\nWriteWarning  concluded " <<  endl ; 	
}
/* WriteWarning
************************************/

// ---------------------------------------------------------------------------
//		 WriteSeqFB 					
// ---------------------------------------------------------------------------
void WriteSeqFB(int seqLen, const int seq[], FILE *cFpWriteFB)
{
int i, j=0, k=0;

  for (i=1; i<= seqLen; i++)
 	  {
	  j++; k++; 
	  fprintf(cFpWriteFB, "%c", Decode[seq[i]] );
	  if (j == 60) {j=0; k=0; fprintf(cFpWriteFB,"\n"); }
	  else { if (k == 10){k=0; fprintf(cFpWriteFB," "); }}
	  }
  fprintf(cFpWriteFB, "\n");
}
/* WriteSeq
************************************/

// ---------------------------------------------------------------------------
//		 WriteSeq 					
// ---------------------------------------------------------------------------
void  WriteSeq (int seqNb,  int seqLen, const int seq[], const char   SeqName[150]) 
{
int i, j=0, k=0;
char c;


if (verbose)  cerr  <<  "\nStarting WriteSeq" <<  endl;

if (verbose)
	{
	cerr << "\n>SEQUENCE NB " << seqNb; 
	cerr << "\n" << SeqName << "\n";
	for (i=1; i<= seqLen; i++)
	     {
	     j++; k++; c = Decode[seq[i]];
	     cerr << c;
	     if (j == 60) {j=0; k=0; cerr << "\n";}
	     else { if (k == 10){k=0; cerr << " ";}}
	     }
	}		
}
/* WriteSeq
************************************/
//////////////////////////////////////////////////////////////////////////////////////////////
